glab(1)

NAME
glab-duo-cli - Run the GitLab Duo CLI (EXPERIMENTAL)

SYNOPSIS
glab duo cli [flags]

DESCRIPTION
Run the GitLab Duo CLI.

This command provides an AI-powered assistant for your development workflow. The Duo CLI binary is automatically downloaded and managed by glab.

The binary is installed to glab's config directory (respects XDG spec and GLAB_CONFIG_DIR). Authentication is handled automatically via glab auth credential-helper with OAuth2 token refresh support.

Ensure you are authenticated before running: glab auth login

Configuration options:

•   duo_cli_auto_run: Skip run confirmation prompt

•   duo_cli_auto_download: Skip download confirmation prompt

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
--update[=false]
    Check for and install updates

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Run GitLab Duo CLI
    $ glab duo cli
    # Run using the alias (glab duo defaults to cli)
    $ glab duo
    # Check for and install updates
    $ glab duo cli --update

SEE ALSO
glab-duo(1)